Subject: Tagging a branch as "not fitted for branching" ?

From: Jean-Noël Avila <[email-masked]>
Date: Mon, 28 Apr 2014 14:09:43 +0200

Most manuals on git state that it is bad practice to push -f a branch 
after have meddled with its history, because this would risk to upset 
the repositories of the coworkers. On the other hand, some workflows use 
branches to propose modifications, and need some rewritting of the 
history after some review steps. In this case, the branch should only be 
seen as a mere pile of patches. Having this two-sided discourse is often 
misunderstood by casual git users.

The proposed solution would be to be able to flag the branches with a 
special tag "not fitted for branching" that a collaborator could use 
when pushing it. This tag would be passed on to any pulled remote. When 
another collaborator would then issue a "git checkout -b", the command 
would fail with a warning message, unless forced with '-f'.

Is this feature already present? If not, would it be of any interest?

Best regards,

Jean-Noël AVILA